"qqplot.gld"<-
function (data, fit, param, len = 10000, name = "", corner = "topleft",type="",range=c(0,1)) 
{
    q <- seq(min(range), max(range), length = len)
    data.q <- quantile(data, prob = q)
    fitted.q <- qgl(q, fit[1], fit[2], fit[3], fit[4], param)
    if(type==""){
    plot(q, data.q, xlab = "Quantile", ylab = "Data values", 
        main = paste("Quantile plot for", name), xlim = c(0, 
            1), ylim = c(min(fitted.q[!is.inf(fitted.q)], data.q), 
            max(fitted.q[!is.inf(fitted.q)], data.q)), col = 1, 
        type = "l")
    lines(q[!is.inf(fitted.q)], fitted.q[!is.inf(fitted.q)], 
        col = 6)
    legend(corner, c("Data", "Fitted Distribution"), col = c(1, 
        6), lty = 1) }

if(type=="str.qqplot"){
qqplot(data.q[!is.inf(fitted.q)],fitted.q[!is.inf(fitted.q)],xlab="Data",ylab="Theoretical",main=paste("Quantile plot for", name))
abline(0,1,col=2)
}
}

