"qqplot.gld.bi"<-
function (data, fit, param1, param2, len = 10000, name = "", 
    corner = "topleft",type="",range=c(0,1)) 
{
    q <- seq(min(range), max(range), length = len)
    data.q <- quantile(data, prob = q)
    first.len<-len * fit[9]
    second.len<-len-first.len
    first.q <- seq(min(range), max(range), length = first.len)
    second.q <- seq(min(range), max(range), length = second.len)
    theo.quantile <- sort(c(qgl(first.q, fit[1], fit[2], fit[3], 
        fit[4], param1), qgl(second.q, fit[5], fit[6], fit[7], 
        fit[8], param2)))
    fitted.q <- (theo.quantile[!is.inf(theo.quantile)])
    if(type==""){
    plot(q, data.q, xlab = "Quantile", ylab = "Data values", 
        main = paste("Quantile plot for", name), xlim = c(0, 
            1), ylim = c(min(fitted.q, data.q), max(fitted.q, 
            data.q)), col = 1, type = "l")
    lines(q[order((theo.quantile[!is.inf(theo.quantile)]))], 
        fitted.q, col = 6)
    legend(corner, c("Data", "Fitted Distribution"), col = c(1, 
        6), lty = 1)
    }

    if(type=="str.qqplot"){
    qqplot(data.q[!is.inf(theo.quantile)], fitted.q, xlab="Data",ylab="Theoretical",main=paste("Quantile plot for", name))
    abline(0,1,col=2)
    }

}


