"fun.plot.fit.bm" <-
function(fit.obj, data, nclass = 50, xlab ="", name ="", param.vec)
{  fit.obj <- fit.obj$par
   prop<-fit.obj[9]
   hist.lim <- hist.su(data, prob = TRUE, plot = FALSE, xlab = "", ylab = "", nclass = nclass)$density
first.part<- prop*dgl(seq(min(data), max(data), length = 1000), fit.obj[1], fit.obj[2], fit.obj[3], fit.obj[4], param = param.vec[1])
second.part<-(1- prop)*dgl(seq(min(data), max(data), length = 1000), fit.obj[5], fit.obj[6], fit.obj[7], fit.obj[8], param = param.vec[2])
jmax <- max(hist.lim, first.part+second.part)
hist.su(data, prob = TRUE, xlab = xlab, ylab = "Density", nclass = nclass, ylim = c(0, jmax),main=paste(name,param.vec[1],param.vec[2]))
lines(seq(min(data), max(data), length = 1000), first.part,col=4,lwd=4)
lines(seq(min(data), max(data), length = 1000), second.part,col=4,lwd=4)
   lines(seq(min(data), max(data), length = 1000), first.part+second.part,col=5,lwd=4)
}

