"fun.rawmoments" <-
function(L1,L2,L3,L4,param="fmkl"){

if(param=="rs"){
        v1 <- fun.rsb(L3, L4, 1)
        v2 <- fun.rsb(L3, L4, 2)
        v3 <- fun.rsb(L3, L4, 3)
        v4 <- fun.rsb(L3, L4, 4)
        
        m1<- L1 + 1/L2 * ((L3 + 1)^-1 - (L4 + 1)^-1)
central.m2<-(v2 - v1^2)/L2^2
central.m3<-(v3 - 3 * v1 * v2 + 2 * (v1)^3)/((L2^3))
central.m4<-(v4 - 4 * v1 * v3 + 6 * (v1^2) * v2 - 3 * v1^4)/((L2^4))
}
if(param=="fmkl"){
v1 <- fun.fmklb(L3, L4, 1)
v2 <- fun.fmklb(L3, L4, 2)
v3 <- fun.fmklb(L3, L4, 3)
v4 <- fun.fmklb(L3, L4, 4)

m1<- L1 - 1/L2 * ((L3 + 1)^-1 - (L4 + 1)^-1)
central.m2<-(v2 - v1^2)/L2^2
central.m3<-(v3 - 3 * v1 * v2 + 2 * (v1)^3)/((L2^3))
central.m4<-(v4 - 4 * v1 * v3 + 6 * (v1^2) * v2 - 3 * v1^4)/((L2^4))
}
ex1<-m1
ex2<-central.m2+m1^2
ex3<-central.m3+3*central.m2*m1+(m1)^3
ex4<-central.m4+4*central.m3*m1+6*central.m2*m1^2+m1^4
return(cbind(ex1,ex2,ex3,ex4))
}

