"fun.theo.mv.gld" <-
function (L1, L2, L3, L4, param) 
{
    result <- rep(NA, 4)
    if (param == "rs") {
        v1 <- fun.rsb(L3, L4, 1)
        v2 <- fun.rsb(L3, L4, 2)
        v3 <- fun.rsb(L3, L4, 3)
        v4 <- fun.rsb(L3, L4, 4)
        
        result[1]<- L1 + 1/L2 * ((L3 + 1)^-1 - (L4 + 1)^-1)
        result[2] <- (v2 - v1^2)/L2^2
        result[3] <- (v3 - 3 * v1 * v2 + 2 * (v1)^3)/((L2^3) * result[2]^1.5)
        result[4] <- (v4 - 4 * v1 * v3 + 6 * (v1^2) * v2 - 3 * v1^4)/((L2^4) * result[2]^2)
       
        result[!as.logical((L3 > -1/1:4) * (L4 > -1/1:4))] <- NA
    }
    if (param == "fmkl") {
        v1 <- fun.fmklb(L3, L4, 1)
        v2 <- fun.fmklb(L3, L4, 2)
        v3 <- fun.fmklb(L3, L4, 3)
        v4 <- fun.fmklb(L3, L4, 4)
        result[1] <- L1 - 1/L2 * ((L3 + 1)^-1 - (L4 + 1)^-1)
        result[2] <- (v2 - v1^2)/L2^2
        result[3] <- (v3 - 3 * v1 * v2 + 2 * (v1)^3)/((L2^3) * 
            result[2]^1.5)
        result[4] <- (v4 - 4 * v1 * v3 + 6 * (v1^2) * v2 - 3 * 
            v1^4)/((L2^4) * result[2]^2)
        result[as.logical(min(L3, L4) < (-1/1:4))] <- NA
    }
    names(result) <- c("mean", "variance", "skewness", "kurtosis")
    return(result)
}

