"qdgl" <-
function (p, lambda1, lambda2 = NULL, lambda3 = NULL, lambda4 = NULL, 
    param = "fmkl", lambda5 = NULL) 
{
    if (is.character(lambda5)) {
        stop(paste("lambda5=", lambda5, "It should be a number between -1 and 1"))
    }
    lambdas <- .gl.parameter.tidy(lambda1, lambda2, lambda3, 
        lambda4, param, lambda5)
    if (!gl.check.lambda.alt1(lambdas, param = param, vect = TRUE)) {
        return(rep(NA,p))
    }
    result <- switch(param, freimer = , frm = , FMKL = , fmkl = .qdgl.fmkl(p, 
        lambdas), ramberg = , ram = , RS = , rs = .qdgl.rs(p, 
        lambdas), fm5 = .qdgl.fm5(p, lambdas), stop("Error: Parameterisation must be fmkl, fm5 or rs"))
    result
}

