"qgl" <-
function (p, lambda1, lambda2 = NULL, lambda3 = NULL, lambda4 = NULL, 
    param = "fmkl", lambda5 = NULL) 
{
    lambdas <- .gl.parameter.tidy(lambda1, lambda2, lambda3, 
        lambda4, param, lambda5)
    if (!gl.check.lambda.alt1(lambdas, param = param, vect = TRUE)) {
       return(rep(NA,length(p)))
    }
    result <- switch(param, freimer = , frm = , FMKL = , fmkl = .qgl.fmkl(p, 
        lambdas), ramberg = , ram = , RS = , rs = .qgl.rs(p, 
        lambdas), fm5 = .qgl.fm5(p, lambdas), stop("Error: Parameterisation must be fmkl, fm5 or rs"))
    result
}

